Subject: Re: [RFC NET 00/02]: Secondary unicast address support

From: Ben Greear <[email-masked]>
Date: Thu, 21 Jun 2007 20:21:51 -0700

Patrick McHardy wrote:
> Eric W. Biederman wrote:
>> For the macvlan hash you just use an upper byte.  Is that just a
>> simple starting place, or do we not need a more complex hash.
>>   
> 
> That gave me an idea, since the default addresses are random
> anyway I'm now using an incrementing counter for the upper byte.

Is there not a (relatively) easy way to hash the entire 6 bytes?

I'd prefer to be able to set the MACs to anything I want, without
worrying about trivially hitting a worst-case hash scenario.

Thanks,
Ben

> 
> 
> -
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com